function battle_ai044(npcID)  --咒蛇
	local sg=flag.GetBattleValue(12700)
	if sg==0 then
		local ar=battle.GetRndNumber(1,10)
		if ar==1 then
			flag.SetBattleValue(12700,1)
			ui.Popo_Auto(86797,1,npcID,3,0) --竟然有人闯进幻境了吗？咦，还有个蜀山弟子？--竟然有人闯进幻境了吗？咦，还有个蜀山弟子？
			global.WaitForPopo()
		elseif ar==2 or ar==10 then
			flag.SetBattleValue(12700,1)
			ui.Popo_Auto(86798,1,npcID,3,0) --你们熟悉五灵的相生相克吗？不熟的话最好去温习一下，不然待会得吃苦头了~--你们熟悉五灵的相生相克吗？不熟的话最好去温习一下，不然待会得吃苦头了~
			global.WaitForPopo()
		elseif ar==3 then
			flag.SetBattleValue(12700,1)
			ui.Popo_Auto(86799,1,npcID,3,0) --水克火，火克雷，雷克风……风生火，火生土，土生……生……生啥？--水克火，火克雷，雷克风……风生火，火生土，土生……生……生啥？
			global.WaitForPopo()
		end
	end 

    n=flag.GetBattleValue(12044)
    if n~=3 then
		a=battle.GetRndNumber(1,10)
		if a>=1 and a<=6 then
			n=n+1
			flag.SetBattleValue(12044,n)
			id = battle.GetRndPlayer()
			if battle.CheckNpcStat(npcID,734)==1 then
			dead=1
			else
			dead=0
			end
			battle.MagicToPlayer(0,1043,1)    --法术
		else
			id = battle.GetRndPlayer()
			if battle.CheckNpcStat(npcID,734)==1 then
			dead=1
			else
			dead=0
			end
			battle.MagicToPlayer(id,1044,2)   --法术
			flag.SetBattleValue(12044,0)

		end
	
	else
		id = battle.GetRndPlayer()
		if battle.CheckNpcStat(npcID,734)==1 then
			dead=1
		else
			dead=0
		end
		battle.MagicToPlayer(id,1044,2)
		flag.SetBattleValue(12044,0)

	end
end